<div class="login">
    <div class="col-xl-3 col-lg-4 col-md-6 col-sm-8 login__panel">
        <h2>Login to chat</h2>
        <form (ngSubmit)="logIn()" #loginForm="ngForm" autocomplete="off">
            <div class="form-group">
                <input [(ngModel)]="userName" type="text" class="form-control" placeholder="User name" name="userName" required autofocus>
            </div>

            <div class="form-group">
                <select [(ngModel)]="chatRoomName" class="form-control" name="chatRoomName" required>
                    <option *ngFor="let chatName of chatRoomNames" [ngValue]="chatName">{{chatName}}</option>
                </select>
            </div>

            <button type="submit" class="btn btn-primary" [disabled]="!loginForm.valid">Go to chat</button>
        </form>
    </div>
</div>